## Environment Variables List

This document lists all the environment variables that can be used in KICS grouped by their purpose.


#### [Environment Variables to fill flags values](https://github.com/Checkmarx/kics/blob/master/docs/configuration-file.md#environment-variables)
- `KICS_<target_flag>`


#### [Terraformer AWS](https://github.com/Checkmarx/kics/blob/master/docs/integrations_terraformer.md#configure-aws-credentials)
- `AWS_ACCESS_KEY_ID`
- `AWS_SECRET_ACCESS_KEY`
- `AWS_SESSION_TOKEN`


#### [Terraformer AZURE](https://github.com/Checkmarx/kics/blob/master/docs/integrations_terraformer.md#configure-azure-credentials)
- `ARM_SUBSCRIPTION_ID`
- `ARM_CLIENT_ID`
- `ARM_CLIENT_CERTIFICATE_PATH`
- `ARM_CLIENT_CERTIFICATE_PASSWORD`
- `ARM_TENANT_ID`

#### [Terraformer GCP](https://github.com/Checkmarx/kics/blob/master/docs/integrations_terraformer.md#configure-azure-credentials)
- `GOOGLE_APPLICATION_CREDENTIALS`


#### [ASFF report](https://github.com/Checkmarx/kics/blob/master/docs/results.md#asff)
- `AWS_ACCOUNT_ID`
- `AWS_REGION`

#### [Decrypt Ansible Vaults on the fly](https://github.com/Checkmarx/kics/blob/master/docs/platforms.md#ansible)
- `ANSIBLE_VAULT_PASSWORD_FILE`



#### [Proxy configurations](https://github.com/Checkmarx/kics/blob/master/docs/results.md#descriptions)
- `HTTP_PROXY`
- `HTTPS_PROXY`
- `NO_PROXY`


#### [Disable Crash Report](https://github.com/Checkmarx/kics/blob/master/docs/commands.md#disable-crash-report)
- `DISABLE_CRASH_REPORT`
